inh
Prev | Orchestra Opcodes and Operators | Next

## inh

inh — Reads six-channel audio data from an external device or stream.

## Description

Reads six-channel audio data from an external device or stream.

| Warning
This opcode is designed to be used only with orchestras that have nchnls_i=6. Doing so with orchestras with nchnls_i > 6 will cause incorrect audio input.

## Syntax

    ar1, ar2, ar3, ar4, ar5, ar6 inh

## Performance

Reads six-channel audio data from an external device or stream. If the command-line -i flag is set, sound is read continuously from the audio input stream (e.g. stdin or a soundfile) into an internal buffer. Any number of these opcodes can read freely from this buffer.

## See also

Signal Input

## Credits

Author: John ffitch

Prev | Up | Next
inch | Home | init